question

mike90 avatar image

VEConfig "Internal error occurred" when setting up assistant.

Hi All

I get the error "Internal error occurred! Please contact Victron Energy" when I am setting up an assistant in VEConfig. I am able to do firmware updates and all other settings but not the assistants. This happens whether I am using a mk3 or through VRM remote VEConfigure.

Also each time I open VEConfigurator3 it updates the assistants.

The issue started when I had updated the first inverter to 489, after the update it had to update the mk3 and VEConfig. Since then I am unable to load assistants on any inverter. Same happens with inverters on 490 and older versions as well.

I have uninstalled, redownloaded and reinstalled VE Configuration tools but still have the same issue...

Hope someone can help.

Thanks

VEConfigure 3AssistantsMK3setup
2 |3000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 190.8 MiB each and 286.6 MiB total.

2 Answers
Matthias Lange - DE avatar image
Matthias Lange - DE answered ·

Do you use the latest version of VE.config?

This should be fixed by now.

2 |3000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 190.8 MiB each and 286.6 MiB total.

mike90 avatar image
mike90 answered ·

Yes VE.config is on the latest version, each time I open Ve.config it updates the assistants. But the issue persists.

15 comments
2 |3000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 190.8 MiB each and 286.6 MiB total.

That problem should be solved in the latest version.

Maybe try to completely uninstall VE.config and make a fresh installation.

mike90 avatar image mike90 Matthias Lange - DE ♦ ·
I have done this last week. Will uninstall, redownload and reinstall and let you know.


Thanks

Just also check that nothing else is connected on the VE.bus, just the MK3 and the Multi.
Redownloaded and reinstalled. Ve.config still updates assistants each time I oopen it and I still get the same error when trying to load an assistant.


@nickdb The same thing happens with either only a MK3 connected to the inverter or doing a remote config through VRM.

What version of windows are you using and have you tried a different device to configure it?

Put exclusions for the folder into your AV, etc.

When in doubt use the 3 R's - reflect, repent, reboot :)

You could also try factory resetting the inverter and then manually reapply the configuration.

If something is bad in the config file, it won't matter if you try do it directly or remotely.


Running windows 10.


It is not the inverter that is the problem, I have had the same problem on almost 10 different inverters ranging from MPII to 10KvA Quattro's.

ok. All I can suggest is to try another device for comparison.

On windows try disable UAC and if you're running an AV other than the native one, exclude the installation directory.

@Mike90 Perhaps also exclude the Assistants directory.

c:\ProgramData\VE Configure tools\Assistants



Thanks that has helped, I am not getting the same error anymore but am getting a new error each time I open Ve.config.

Doc1.pdf

This is the screenshot of the error.

doc1.pdf (152.8 KiB)

That's saying your config has an older assistant which isn't on your veconfigure installation.

So you need to either remove the older version and add the newer (017E?) version or download an older version of the assistant.

If you choose "ok" you should be able to go to the assistant tab and select update.

If updating doesn't work, the older versions of assistants are all in the c:\program data\veconfigure tools\assistants folder.

You need to open windows explorer, choose view and tick "hidden files" to see it.

Assistants end with a .vap extension and the app will use the latest.

Rename anything newer than 017C (should only be 017E) to a different extension like .vpp

Restart veconfigure and it should now default ESS to the older version.

Probably better to just update it providing it will let you (it should).

Hi thanks for the help, but unfortunately no luck.

Doc1.pdf

It does not update if select ok and the folder is empty...

doc1.pdf (88.0 KiB)

Did you install veconfigure as administrator? (right click on the install file and it will be an option).

That isn't right, that folder should be full.

Attached are the latest two assistants, copy and uncompress to that attachments folder.

(contains two .vap files)

Archive.zip

I suspect your antivirus quarantined/removed all the files at install.

With a folder exclusion in place a reinstall of the app should also resolve it.

archive.zip (48.0 KiB)
Show more comments